using System;
using BepInEx;
using BepInEx.Logging;

namespace JilloSlug;

[BepInPlugin(MOD_ID, "Jillo", "0.1.0")]
class Plugin : BaseUnityPlugin {
    private const string MOD_ID = "zone.oat.jilloslug";
    internal static ManualLogSource Log;

    // Add hooks
    public void OnEnable() {
        Plugin.Log = base.Logger;

        try {
            On.RainWorld.OnModsInit += Extras.WrapInit(LoadResources);

            BounceFeature.AddHooks();
            ImmuneToDartMaggotsFeature.AddHooks();
        } catch (Exception err) {
            Logger.LogError($"error initializing: {err}");
        }

        Logger.LogInfo("initialized!");
    }

    // Load any resources, such as sprites or sounds
    private void LoadResources(RainWorld rainWorld) {
    }
}
